## jpl
Class JVoid

    java.lang.Object
      jpl.Term
          jpl.JVoid

public class JVoid
extends Term

A jpl.JVoid is a specialised Term. Instances of this class denote JPL 'jvoid' values in Prolog, i.e. @(void):

     JVoid b = new JVoid();

A JVoid can be used (and re-used) in Compound Terms.

Copyright (C) 2004 Paul Singleton

Copyright (C) 1998 Fred Dushin

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library Public License for more details.

Version:
  $Revision: 1.2 $
See Also:
  `Term`, `Compound`

Constructor Summary
`JVoid()` This constructor creates a JVoid.

Method Summary
`Term[]` `args()` Deprecated.
`java.lang.String` `debugString()` Deprecated.
`boolean` `equals(java.lang.Object obj)` Two JVoids are equal
`java.lang.String` `toString()` Returns a Prolog source text representation of this JVoid
`int` `type()` returns the type of this term, as one of jpl.fli.Prolog.COMPOUND, .ATOM, .VARIABLE, .INTEGER, .FLOAT etc
`java.lang.String` `typeName()` returns the name of the type of this term, as one of "Compound", "Atom", "Variable", "Integer", "Float" etc

Methods inherited from class jpl.Term
`arg, arity, debugString, doubleValue, floatValue, hasFunctor, hasFunctor, hasFunctor, intValue, isAtom, isCompound, isFloat, isInteger, isJBoolean, isJRef, isJVoid, isVariable, listLength, longValue, name, putParams, putParams, toString, toTermArray`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JVoid

    public JVoid()

  This constructor creates a JVoid.

Method Detail

### toString

    public java.lang.String toString()

  Returns a Prolog source text representation of this JVoid

  Returns:
    a Prolog source text representation of this JVoid

### equals

    public final boolean equals(java.lang.Object obj)

  Two JVoids are equal

  Parameters:
    `obj` - The Object to compare (not necessarily another JVoid)
  Returns:
    true if the Object satisfies the above condition

### type

    public final int type()

  Description copied from class: `Term`
  returns the type of this term, as one of jpl.fli.Prolog.COMPOUND, .ATOM, .VARIABLE, .INTEGER, .FLOAT etc

  Specified by:
    `type` in class `Term`
  Returns:
    the type of this term, as one of jpl.fli.Prolog.COMPOUND, .ATOM, .VARIABLE, .INTEGER, .FLOAT etc

### typeName

    public java.lang.String typeName()

  Description copied from class: `Term`
  returns the name of the type of this term, as one of "Compound", "Atom", "Variable", "Integer", "Float" etc

  Specified by:
    `typeName` in class `Term`
  Returns:
    the name of the type of this term, as one of "Compound", "Atom", "Variable", "Integer", "Float" etc

### args

    public Term[] args()

  Deprecated.

  The (nonexistent) args of this JVoid

  Specified by:
    `args` in class `Term`
  Returns:
    the (nonexistent) args of this JVoid

### debugString

    public java.lang.String debugString()

  Deprecated.

  Returns a debug-friendly representation of this JVoid

  Specified by:
    `debugString` in class `Term`
  Returns:
    a debug-friendly representation of this JVoid